/* Change default colors */
:root {
    --bulma-primary-h: 219deg;
    --bulma-primary-s: 90%;
    --bulma-primary-l: 39%;
}

.navbar-item, .navbar-link, .navbar-burger, .button.is-primary, .message.is-primary .message-header {
    color: hsl(0, 0%, 100%);
}

footer .content {
    color: #BBB;
}

/* Push footer to the bottom */
html, body {
    height: 100%;
}

body {
    display: flex;
    flex-direction: column;
}

#page-body {
    flex: 1 0 auto;
}

.footer {
    flex-shrink: 0;
    padding: 3rem 1.5rem 3rem;
}

/* Remove margin from nested lists */
.content ul:not(:first-child) {
  margin-top: 0em;
}

/* Let message headers be centered */
.message.has-text-centered .message-header p {
    text-align: center;
    width: 100%;
}

.message-body {
    margin-top: -1rem;
}

/* Navbar wraps dropdown menu text sometimes, and this fixes it sometimes */
.navbar-dropdown {
    min-width: 150%;
}

/* News previews */

.news-item {
    max-width: 640px;
    border-bottom: 2px solid #EEE;
    margin-bottom: 1rem;
    padding-bottom: 2rem;
}

.news-header {
    padding-bottom: 1rem;
    color: var(--bulma-text);
}

.news-preview-img {
    max-width: 640px;
}

.news-is-viewed, .news-is-viewed .news-header, .news-is-viewed .notification {
    filter: grayscale(100%);
    color: #AAA;
}

.news-is-viewed:hover, .news-is-viewed:hover .news-header, .news-is-viewed:hover .notification {
    filter: grayscale(0%);
    color: var(--bulma-text);
    transition: filter 1s, color 1s;
}

/* Table of Contents Expand/Collapse */
.toc-visually-hidden {
    position: absolute;
    width: 1px;
    height: 1px;
    padding: 0;
    margin: -1px;
    overflow: hidden;
    clip-path: inset(50%);
    white-space: nowrap;
    border: 0;
}

.toc-toggle-wrapper {
    display: grid;
    grid-template-rows: 0fr;
    transition: grid-template-rows .25s ease-out;
}

.toc-toggle-input:checked + .toc-container .toc-toggle-wrapper {
    grid-template-rows: 1fr;
}

.toc-toggle-inner {
    background-color: transparent;
    overflow: hidden;
    transition: background-color .25s ease-out;
}

.toc-toggle-label {
    cursor: pointer;
    font-weight: bold;
}

.toc-toggle-label::before {
    content: "\25BC\0020";
}

.toc-toggle-label:has(+ .toc-toggle-input:checked)::before {
    content: "\25B6\0020";
}

@media print {
    .toc-toggle-label, .toc-display-input, .toc-container {
        display: none;
    }
}
